"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.getProgramId = exports.RELEND_AN_TESTNET_PROGRAM_ID = exports.RELEND_TESTNET_PROGRAM_ID = exports.RELEND_PRODUCTION_PROGRAM_TEST_REVND_RENGN_ID = exports.RELEND_PRODUCTION_PROGRAM_ID = exports.U64_MAX = exports.WANG = exports.WAD = void 0;
const web3_js_1 = require("@solana/web3.js");
const core_1 = require("../core/index.js");
exports.WAD = "1".concat(Array(18 + 1).join("0"));
exports.WANG = "1".concat(Array(36 + 1).join("0"));
exports.U64_MAX = "18446744073709551615";
exports.RELEND_PRODUCTION_PROGRAM_ID = new web3_js_1.PublicKey("AqR1WSUwNeVsz66ayH2J8iTyiGMgouRwPqzzMaxx49ba");
exports.RELEND_PRODUCTION_PROGRAM_TEST_REVND_RENGN_ID = new web3_js_1.PublicKey("987JFrVXxqXyEr2DV1PNU4WwT9ppsjoWjn613NB6mrJ6");
exports.RELEND_TESTNET_PROGRAM_ID = new web3_js_1.PublicKey("LP17qXm5XnefkyVzkJa8gLcKXnjmsjX3YQCdB18Dsku");
exports.RELEND_AN_TESTNET_PROGRAM_ID = new web3_js_1.PublicKey("7MyzC9kf7c1ff8hr1uqqchuyXiLxcEeRjnuzxjWgHPra");
/*export function getProgramId(environment?: string) {
  switch (environment) {
    case "mainnet-beta":
    case "production":
      return RELEND_PRODUCTION_PROGRAM_ID;
      break;
    case "devnet":
      return RELEND_DEVNET_PROGRAM_ID;
      break;
    case "testnet":
      return RELEND_TESTNET_PROGRAM_ID;
      break;
    case "beta":
      return RELEND_BETA_PROGRAM_ID;
      break;
  }

  throw Error(`Unsupported environment: ${environment}`);
} */
const getProgramId = () => core_1.IS_USING_TESTNET_V2
    ? exports.RELEND_AN_TESTNET_PROGRAM_ID
    : core_1.IS_USING_MAINNET_TESTING_PROGRAM
        ? exports.RELEND_PRODUCTION_PROGRAM_TEST_REVND_RENGN_ID
        : core_1.IS_MAINNET
            ? exports.RELEND_PRODUCTION_PROGRAM_ID
            : exports.RELEND_TESTNET_PROGRAM_ID;
exports.getProgramId = getProgramId;
