"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bignumber_js_1 = require("bignumber.js");
const utils_1 = require("./utils.js");
describe("calculateCompoundedInterestRate", function () {
    it("check compound interest rate p2", async function () {
        const currentBorrowRate = new bignumber_js_1.BigNumber("0.051305117007790239");
        const slotElapsed = 210;
        const expectedResult = new bignumber_js_1.BigNumber("1.000000170821846132");
        const result = (0, utils_1.calculateCompoundedInterestRate)(currentBorrowRate, slotElapsed);
        expect(expectedResult.toNumber()).toEqual(result);
    });
});
