import { PublicKey } from "@solana/web3.js";
import { EventEmitter } from "eventemitter3";
import { Token, UTLCdnTokenList } from "./types";
export default class Client extends EventEmitter {
    fetchMints(cdnUrl: string, mints: PublicKey[]): Promise<Token[]>;
    getFromTokenList(cdnUrl: string, mints: PublicKey[]): Promise<Token[]>;
    downloadTokenlist(cdnUrl: string): Promise<UTLCdnTokenList | null>;
    fetchTokensCdn(cdnUrl: string, mints: PublicKey[]): Promise<Token[]>;
}
